sidebarNodes={"extras":[{"id":"api-reference","title":"API Reference","group":"","headers":[{"id":"Modules","anchor":"modules"},{"id":"Exceptions","anchor":"exceptions"}]},{"id":"introduction","title":"Joken Overview","group":"","headers":[{"id":"JWT algorithms","anchor":"jwt-algorithms"},{"id":"Usage","anchor":"usage"},{"id":"LICENSE","anchor":"license"}]},{"id":"configuration","title":"Configuration","group":"","headers":[{"id":"Token configuration","anchor":"token-configuration"},{"id":"Signer configuration","anchor":"signer-configuration"},{"id":"Module approach","anchor":"module-approach"},{"id":"1. Claims generation and validation","anchor":"1-claims-generation-and-validation"}]},{"id":"signer","title":"Signers","group":"","headers":[{"id":"Configuration","anchor":"configuration"},{"id":"Octet keys","anchor":"octet-keys"},{"id":"All other keys","anchor":"all-other-keys"},{"id":"PEM - Privacy Enhanced Mail","anchor":"pem-privacy-enhanced-mail"},{"id":"Private vs Public keys","anchor":"private-vs-public-keys"},{"id":"Benchmarks","anchor":"benchmarks"},{"id":"Dynamic signers","anchor":"dynamic-signers"}]},{"id":"testing","title":"Testing your app with Joken","group":"","headers":[{"id":"Joken time","anchor":"joken-time"}]},{"id":"common_use_cases","title":"JWT Common use cases","group":"","headers":[{"id":"JWT simplest configuration","anchor":"jwt-simplest-configuration"},{"id":"Custom static iss claim","anchor":"custom-static-iss-claim"},{"id":"Custom dynamic aud claim","anchor":"custom-dynamic-aud-claim"},{"id":"Custom validation cross claims","anchor":"custom-validation-cross-claims"},{"id":"Signer fetched from another server","anchor":"signer-fetched-from-another-server"},{"id":"Generate a token with the user id as subject","anchor":"generate-a-token-with-the-user-id-as-subject"}]},{"id":"migration_from_1","title":"Migrating from Joken 1.0","group":"","headers":[{"id":"Migrating","anchor":"migrating"}]},{"id":"custom_header_arguments","title":"Custom header arguments","group":"","headers":[]},{"id":"changelog","title":"Changelog","group":"","headers":[{"id":"v2.0-rc3","anchor":"v2-0-rc3"}]}],"exceptions":[{"id":"Joken.Error","title":"Joken.Error","group":"","functions":[{"id":"message/1","anchor":"message/1"}]}],"modules":[{"id":"JOSE.Jason","title":"JOSE.Jason","group":""},{"id":"Joken","title":"Joken","group":"","functions":[{"id":"current_time/0","anchor":"current_time/0"},{"id":"encode_and_sign/3","anchor":"encode_and_sign/3"},{"id":"expand/1","anchor":"expand/1"},{"id":"generate_and_sign!/4","anchor":"generate_and_sign!/4"},{"id":"generate_and_sign/4","anchor":"generate_and_sign/4"},{"id":"generate_claims/3","anchor":"generate_claims/3"},{"id":"generate_jti/0","anchor":"generate_jti/0"},{"id":"peek_claims/1","anchor":"peek_claims/1"},{"id":"peek_header/1","anchor":"peek_header/1"},{"id":"validate/4","anchor":"validate/4"},{"id":"verify/3","anchor":"verify/3"},{"id":"verify_and_validate!/5","anchor":"verify_and_validate!/5"},{"id":"verify_and_validate/5","anchor":"verify_and_validate/5"}],"types":[{"id":"bearer_token/0","anchor":"t:bearer_token/0"},{"id":"claims/0","anchor":"t:claims/0"},{"id":"error_reason/0","anchor":"t:error_reason/0"},{"id":"generate_result/0","anchor":"t:generate_result/0"},{"id":"sign_result/0","anchor":"t:sign_result/0"},{"id":"signer_arg/0","anchor":"t:signer_arg/0"},{"id":"token_config/0","anchor":"t:token_config/0"},{"id":"validate_result/0","anchor":"t:validate_result/0"},{"id":"verify_result/0","anchor":"t:verify_result/0"}]},{"id":"Joken.Application","title":"Joken.Application","group":""},{"id":"Joken.Claim","title":"Joken.Claim","group":"","types":[{"id":"t/0","anchor":"t:t/0"}]},{"id":"Joken.Config","title":"Joken.Config","group":"","callbacks":[{"id":"encode_and_sign/2","anchor":"c:encode_and_sign/2"},{"id":"generate_claims/1","anchor":"c:generate_claims/1"},{"id":"token_config/0","anchor":"c:token_config/0"},{"id":"validate/1","anchor":"c:validate/1"},{"id":"verify/2","anchor":"c:verify/2"}],"functions":[{"id":"add_claim/5","anchor":"add_claim/5"},{"id":"add_hook/2","anchor":"add_hook/2"},{"id":"default_claims/1","anchor":"default_claims/1"}]},{"id":"Joken.CurrentTime","title":"Joken.CurrentTime","group":"","callbacks":[{"id":"current_time/0","anchor":"c:current_time/0"}]},{"id":"Joken.CurrentTime.OS","title":"Joken.CurrentTime.OS","group":"","functions":[{"id":"current_time/0","anchor":"current_time/0"}]},{"id":"Joken.Hooks","title":"Joken.Hooks","group":"","callbacks":[{"id":"after_generate/3","anchor":"c:after_generate/3"},{"id":"after_sign/3","anchor":"c:after_sign/3"},{"id":"after_validate/3","anchor":"c:after_validate/3"},{"id":"after_verify/3","anchor":"c:after_verify/3"},{"id":"before_generate/2","anchor":"c:before_generate/2"},{"id":"before_sign/2","anchor":"c:before_sign/2"},{"id":"before_validate/2","anchor":"c:before_validate/2"},{"id":"before_verify/2","anchor":"c:before_verify/2"}],"functions":[{"id":"run_after_hook/4","anchor":"run_after_hook/4"},{"id":"run_before_hook/3","anchor":"run_before_hook/3"}],"types":[{"id":"generate_input/0","anchor":"t:generate_input/0"},{"id":"halt_tuple/0","anchor":"t:halt_tuple/0"},{"id":"hook_options/0","anchor":"t:hook_options/0"},{"id":"sign_input/0","anchor":"t:sign_input/0"},{"id":"validate_input/0","anchor":"t:validate_input/0"},{"id":"verify_input/0","anchor":"t:verify_input/0"}]},{"id":"Joken.Signer","title":"Joken.Signer","group":"","functions":[{"id":"algorithms/0","anchor":"algorithms/0"},{"id":"create/3","anchor":"create/3"},{"id":"parse_config/1","anchor":"parse_config/1"},{"id":"sign/2","anchor":"sign/2"},{"id":"verify/2","anchor":"verify/2"}],"types":[{"id":"key/0","anchor":"t:key/0"},{"id":"t/0","anchor":"t:t/0"}]}],"tasks":[]}